Skip to content
Last updated

Elements delete

api-version: 2.0

Delete a specific element.

POST /{collectionId}/{storageId}/_api/rest/facets/{facetId}/views/{viewId}/elements/{elementId}/delete

Parameters

NameInRequiredTypeDescription
collectionIdpathtruestringThe ID of the storage collection.
storageIdpathtruestringThe ID of the tenant.
facetIdpathtruestringThe name of the facet.
viewIdpathtruestringThe name of the view.
elementIdpathtruestringThe ID of the element.

Responses

Success (200)

NameTypeDescription
countintegerThe number of returned values.
valuesOperationResultThe list of elements.

Error (4xx)

NameTypeDescription
messagestringThe error message
outputOperationResultOutputThe result output.
typeOperationResultTypeThe result type.
dataOperationErrorThe list of errors.

Examples

Delete a specific element from the detail view of the processes facet.

Request

POST https://demo.symbioworld.com/pz/showcase/_api/rest/facets/processes/views/detail/elements/2d60031c-e501-47dc-9b50-76ef5f433878/delete

Response (200 OK)

{
    "message": "Element has been deleted.",
    "output": "Volatile",
    "type": "Success"
}

Definitions

Element

NameTypeDescription
idGuid?The identifier of the element.
versionIdGuid?The identifier of the specific version.
statestringThe current state of the element.
stereotypestringThe stereotype of the element.
typestringThe type of the element.
attributesDictionary<string, Dictionary<int, object>>The attributes of the element.
relatedDictionary<string, List<Element>>The list of related elements.
childrenElementThe list of child elements.
contentElementThe list of content elements.
rootPathElementThe list of hierarchical parent elements to the root element.
displayNamesDictionary<int, string>Gets the display names of multiple languages.
expandUristringGets or sets the expand Uri to get full information about element.
facetNamestringName of the facet.
setReadOnlybool?Gets or sets the read only of the element.
versionsElementElement versions of this container.

OperationResult

NameTypeDescription
dataOperationErrorError data
messagestringError message
outputOperationResultOutputResult output
typeOperationResultTypeResult type

OperationResultOutput

NameType
volatilestring
permanentstring
dialogstring
inlinestring

OperationResultType

NameType
criticalstring
errorstring
warningstring
successstring
unauthorizedstring

OperationError

NameTypeDescription
errorstringThe error message.